Bug 807168 - [abrt] cryptkeeper-0.9.5-2.fc15: strcmp: Process /usr/bin/cryptkeeper was killed by signal 11 (SIGSEGV)
[abrt] cryptkeeper-0.9.5-2.fc15: strcmp: Process /usr/bin/cryptkeeper was kil...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cryptkeeper (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Hicham HAOUARI
Fedora Extras Quality Assurance
abrt_hash:d0fdf60c01aa246f6d6a3fe31a0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-27 04:17 EDT by groug
Modified: 2013-02-13 09:32 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 09:32:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (6.39 KB, text/plain)
2012-03-27 04:17 EDT, groug
no flags Details
File: maps (33.19 KB, text/plain)
2012-03-27 04:17 EDT, groug
no flags Details
File: backtrace (59.60 KB, text/plain)
2012-03-27 04:17 EDT, groug
no flags Details
fix the crash that occurs when clicking on the tray icon (581 bytes, patch)
2012-05-23 10:27 EDT, groug
no flags Details | Diff

  None (edit)
Description groug 2012-03-27 04:17:42 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        cryptkeeper
comment:        Start cryptkeeper and then click the tray icon.
crash_function: strcmp
executable:     /usr/bin/cryptkeeper
kernel:         3.3.0-4.fc16.x86_64
pid:            3958
pwd:            /home/greg
reason:         Process /usr/bin/cryptkeeper was killed by signal 11 (SIGSEGV)
time:           Tue 27 Mar 2012 10:02:53 AM CEST
uid:            503
username:       greg
xsession_errors: 

backtrace:      Text file, 61030 bytes
dso_list:       Text file, 6540 bytes
maps:           Text file, 33985 bytes

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=3
:HOSTNAME=bahia.local
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=ac891a4391d0255585ca8d8800000010-1332833113.27834-581330238
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/tmp/keyring-lMRnLf
:QTINC=/usr/lib64/qt-3.3/include
:IMSETTINGS_MODULE=none
:USER=greg
:LD_LIBRARY_PATH=/home/greg/.local/lib
:USERNAME=greg
:MAIL=/var/spool/mail/greg
:PATH=/home/greg/.local/bin:/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/greg
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=2093
:LANG=en_US.UTF-8
:GDM_LANG=en_US.UTF-8
:XUSERFILESEARCHPATH=/home/greg/.local/share/app-defaults/%N%S
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/greg
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=greg
:PREFIX=/home/greg/.local
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-YBoc33uWej,guid=c43b0a1093da75fb4fc80adf0000070f
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/greg
:DISPLAY=:0.0
:RSYNC_RSH=ssh
:CMVC_AUTH_METHOD=PW
:XAUTHORITY=/var/run/gdm/auth-for-greg-QjlntR/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/2101,unix/unix:/tmp/.ICE-unix/2101
:GPG_AGENT_INFO=/tmp/keyring-lMRnLf/gpg:0:1
:SSH_AUTH_SOCK=/tmp/keyring-lMRnLf/ssh
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/cryptkeeper.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=3958

var_log_messages:
:Mar 27 10:02:52 bahia kernel: [ 4066.224769] cryptkeeper[3958]: segfault at 0 ip 0000003f8a32dffa sp 00007fff30525e78 error 4 in libc-2.14.90.so[3f8a200000+1ad000]
:Mar 27 10:02:53 bahia abrt[3962]: Saved core dump of pid 3958 (/usr/bin/cryptkeeper) to /var/spool/abrt/ccpp-2012-03-27-10:02:53-3958 (21020672 bytes)
Comment 1 groug 2012-03-27 04:17:45 EDT
Created attachment 572970 [details]
File: dso_list
Comment 2 groug 2012-03-27 04:17:48 EDT
Created attachment 572971 [details]
File: maps
Comment 3 groug 2012-03-27 04:17:50 EDT
Created attachment 572972 [details]
File: backtrace
Comment 4 groug 2012-05-23 10:27:35 EDT
Created attachment 586371 [details]
fix the crash that occurs when clicking on the tray icon

cryptkeeper was dumping a core on my system (fedora 16) because of a /root/.gvfs mount that caused realpath() to return NULL. The is_mounted() helper just needs to be strengthened a bit.

I guess this patch is enough.

Cheers.
Comment 5 Fedora End Of Life 2013-01-16 08:40:53 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora End Of Life 2013-02-13 09:32:28 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.